about summary refs log tree commit diff
path: root/third_party/nix/tests/import-derivation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/nix/tests/import-derivation.sh')
-rw-r--r--third_party/nix/tests/import-derivation.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/third_party/nix/tests/import-derivation.sh b/third_party/nix/tests/import-derivation.sh
new file mode 100644
index 0000000000..98d61ef49b
--- /dev/null
+++ b/third_party/nix/tests/import-derivation.sh
@@ -0,0 +1,12 @@
+source common.sh
+
+clearStore
+
+if nix-instantiate --readonly-mode ./import-derivation.nix; then
+    echo "read-only evaluation of an imported derivation unexpectedly failed"
+    exit 1
+fi
+
+outPath=$(nix-build ./import-derivation.nix --no-out-link)
+
+[ "$(cat $outPath)" = FOO579 ]